/*
 *  Draco Econometrics
 *  Copyright (C) 2006-2007 Approximatrix, LLC
 *  http://www.approximatrix.com
 *  
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.approximatrix.draco.plot.ui.images;

import java.awt.Component;
import java.awt.Graphics;
import java.awt.Color;

import javax.swing.Icon;

public class ColorButtonIcon implements Icon {

	private static final int DEFAULT_WIDTH = 32;
	private static final int DEFAULT_HEIGHT = 16;
	
	private Color color = Color.BLACK;
	
	public ColorButtonIcon() {
		// Nothing to do
	}
	
	public ColorButtonIcon(Color color) {
		this.color = color;
	}
	
	public void setColor(Color new_color) {
		this.color = new_color;
	}
	
	public Color getColor() {
		return this.color;
	}
	
	public int getIconHeight() {
		return DEFAULT_HEIGHT;
	}

	public int getIconWidth() {
		return DEFAULT_WIDTH;
	}

	public void paintIcon(Component component, Graphics g, int x, int y) {
		Color original = g.getColor();
		g.setColor(this.color);
		g.fillRect(x, y, this.getIconWidth(), this.getIconHeight());
		g.setColor(original);
	}

}
